Capvant

List webhook deliveries

get
https://sandbox.capvant.com/v1/webhooks/deliveries
GET
/webhooks/deliveries

Your recent deliveries with outcome, HTTP status, attempt count, next retry, payload mode and the payload size in bytes. Filter with ?status=failed to audit gaps.

Authorization

ApiKeyAuth
X-API-Key<token>

Lender keys start with cv_live_; Partner keys start with cv_pk_. Shown once at creation, sent on every request.

In: header

Query Parameters

status?string

Value in

  • "delivered"
  • "failed"
limit?integer

Response Body

application/json

application/json

Shell
curl -X GET "https://sandbox.capvant.com/webhooks/deliveries"
JSON
{  "deliveries": [    {      "id": "string",      "event": "deal.created",      "delivery_status": "delivered",      "http_status": 0,      "attempts": 0,      "webhook_id": "string",      "payload_bytes": 0,      "payload_mode": "full",      "created_at": "2019-08-24T14:15:22Z",      "next_attempt_at": "2019-08-24T14:15:22Z"    }  ]}